@echo off

set PROGF=C:\Program Files
set TARGET=%PROGF%\cl

set FONTSDIR=%WINDIR%\Fonts

echo Installing CL:
echo Creating %TARGET%
mkdir "%TARGET%"

echo Copying binaries
copy bin\*cl.exe "%TARGET%" > nul:
copy bin\cygwin1.dll "%TARGET%" > nul:

echo Copying fonts
copy fonts\*.ttf "%FONTSDIR%" > nul:

if exist "%FONTSDIR%\lsansuni.ttf" goto has_lsansuni
if exist "%FONTSDIR%\l_10646.ttf" goto has_lsansuni

if "%OS%"=="Windows_NT" goto l_10646
copy fonts\lsansuni\lsansuni.ttf "%FONTSDIR%" > nul:
goto has_lsansuni

:l_10646
copy fonts\lsansuni\l_10646.ttf "%FONTSDIR%" > nul:

:has_lsansuni
bin\regmfonts.exe

echo Registering extensions .cl and .clb
regedit res\clclb.reg

echo Overwriting Mozilla's mathfont.properties
copy "res\mathfont.properties" "%PROGF%\mozilla.org\Mozilla\res\fonts"

if exist "%ALLUSERSPROFILE%\Desktop" set DESKTOP=%ALLUSERSPROFILE%\Desktop
if exist "%WINDIR%\All Users\Desktop" set DESKTOP=%WINDIR%\All Users\Desktop
if exist "%WINDIR%\Desktop" set DESKTOP=%WINDIR%\Desktop

if "%DESKTOP%"=="" goto nodesktop

echo Copying shortcut to desktop

copy "res\CL & Mozilla.lnk" "%DESKTOP%"

goto done

:nodesktop

echo Could not find desktop

:done

set DESKTOP=
set TARGET=
set FONTSDIR=
set PROGF=

echo Done
